This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 176810 - "bash -c time" will SEGV
"bash -c time" will SEGV
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-03 03:07 EST by Russell Coker
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 3.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-03 05:27:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Coker 2006-01-03 03:07:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.92 (like Gecko)

Description of problem:
"bash -c time abc" will SEGV.  Sure this is a syntax error for a bash command, 
but that's no excuse for a SEGV. 

Version-Release number of selected component (if applicable):
bash-3.0-36

How reproducible:
Always

Steps to Reproduce:
Type "bash -c time ls" (any parameter after "time" will do it, even no 
parameter is fine).  

Actual Results:  SEGV 

Expected Results:  Should have reported 0 seconds elapsed or a parameter error. 

Additional info:
Comment 1 Tim Waugh 2006-01-03 05:27:12 EST
Fixed in bash-3.1-1.

Note You need to log in before you can comment on or make changes to this bug.